Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class ChoiceRouter

    java.lang.Object
      org.mule.routing.AbstractSelectiveRouter
          org.mule.routing.ChoiceRouter

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor, RouterStatisticsRecorder, SelectiveRouter

    public class ChoiceRouter

extends AbstractSelectiveRouter

Routes the event to a single`MessageProcessor` using a `Filter` to evaluate the event being processed and find the first route that can be used.

If a default route has been configured and no match has been found, the default route will be used. Otherwise it throws a `RoutePathNotFoundException`.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ChoiceRouter()`

Method Summary
`protected Collection<MessageProcessor>` | `selectProcessors(MuleEvent event)`

Methods inherited from class org.mule.routing.AbstractSelectiveRouter
`addRoute, dispose, getConditionalMessageProcessors, getRouterStatistics, initialise, process, removeRoute, setDefaultRoute, setFlowConstruct, setMuleContext, setRouterStatistics, start, stop, toString, updateRoute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChoiceRouter

    public ChoiceRouter()

Method Detail

### selectProcessors

    protected Collection<MessageProcessor> selectProcessors(MuleEvent event)

  Specified by:
    `selectProcessors` in class `AbstractSelectiveRouter`
  Returns:
    the processors selected according to the specific router strategy or an empty collection (not null).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.